%global momorel 8

Name:           perl-Email-Date
Version:        1.103
Release:        %{momorel}m%{?dist}
Summary:        Find and Format Date Headers
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Email-Date/
Source0:        http://www.cpan.org/modules/by-module/Email/Email-Date-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Time-Date >= 1.16
BuildRequires:  perl-Email-Abstract >= 2.10
BuildRequires:	perl-Email-Date-Format >= 1.000
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Time-Piece >= 1.08
Requires:       perl-Time-Date >= 1.16
Requires:       perl-Email-Abstract >= 2.10
Requires:	perl-Email-Date-Format >= 1.000
Requires:       perl-Time-Piece >= 1.08
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
RFC 2822 defines the Date: header. It declares the header a required part
of an email message. The syntax for date headers is clearly laid out. Stil,
even a perfectly planned world has storms. The truth is, many programs get
it wrong. Very wrong. Or, they don't include a Date: header at all. This
often forces you to look elsewhere for the date, and hoping to find
something.

%prep
%setup -q -n Email-Date-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/Email/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.103-8m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.103-7m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.103-6m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.103-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.103-4m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.103-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.103-2m)
- rebuild against gcc43

* Sat Dec  1 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.103-1m)
- update to 1.103
- add BuildRequires: and Requires: perl-Email-Date-Format >= 1.000

* Wed Aug 29 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.102-1m)
- Specfile autogenerated by cpanspec 1.73 for Momonga Linux.
